%define name	pkgutils
%define version 0.1.6


%define Summary Helper scripts for Packaging RPMs in UPLOS

# Do not build debug package
%define _enable_debug_packages   %{nil}
%define debug_package            %{nil}

# xterm display options
#define xtermopt -bg steelblue4 -fg grey88 -hold -fn *-fixed-*-*-*-20-*
%define xtermopt -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-*

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%mkrel 12
License:	GPL
Group:		System/Configuration/Packaging
URL:		http://www.liberainformatica.it/forum/forumdisplay.php?fid=25
Source:		%name-%version.tar.xz
BuildRoot:      %_tmppath/%name-%version-buildroot
BuildArch: noarch
# minimal build requirements added to pkgutils package.. 
# ...no longer installed by mkrepo script;
####################################################################
##### ...pkgutils now obsoletes all *task-packag* metapackages #####
####################################################################

Requires:	rpm rpm-build rpm-uplos-setup-build rpm-helper
# include legacy and current versions of autoconf and automake
Requires:	autoconf2.1 autoconf
Requires:	automake1.7 automake
Provides:	a-task-packager-minimal
Obsoletes:	a-task-packager-minimal
Provides:	task-packaging-kde4
Obsoletes:	task-packaging-kde4

%description

addpkg
 -Uses apt-get to install missing dependencies in SPECFILE or RPMFILE
 -Uses gcr to create a file of the type .remove which can be later used to 
  remove installed dependencies via rmvpkg 

rmvpkg
 -Uses rpm to remove all installed packages in LISTFILE

gbd
 -Uses genbasedir to update a local repository

gcr
 -Filter files written by addpkg to create 
  a clean list file for input to rmvpkg

mkrepo
 -Create a local repository including folder structure, 
  .rpmrc and .rpmmacros files, and optionally update sources.list






%package -n %{name}-thunar
Summary:	%{summary} for the Thunar file manager
Group:		System/Configuration/Packaging
Requires:	pkgutils thunar xmlstarlet sed unzip xz xterm

%description -n %{name}-thunar
This package provides pkgutils for XFCE/LXDE using Thunar (right click) context menus
for easy management of RPM package building.  If not already installed, it will install Thunar.
Please note that thunar can be used in KDE, Gnome, and other desktop environments as well.

The script "mkrepo" will be run upon installation of this package to set up your RPM build environment.
It can be run again at any time by a regular user using the following syntax:

mkrepo -d UPLOS -v UPLOS -s <your UPLOS user name> -p <your UPLOS user name>

For more info on the pkgutils scripts, see the pkgutils package description, 
or run them with the --help option in a console.






%package -n %{name}-kde4
Summary:	%{summary} in the KDE4 environment
Group:		System/Configuration/Packaging
Requires:	kde-baseapps
Requires:	kde-utils-ark
Requires:	pkgutils 
Requires:	zenity  

%description -n %{name}-kde4
This package provides pkgutils for the KDE4 environment; in addition to the pkgutils scripts 
it also adds packaging specific actions to the (right-click) context / service menu in Konqueror 
and Dolphin for the .rpm, .src.rpm and .spec file types.

The script "mkrepo" will be run upon installation of this package to set up your RPM build environment.
It can be run again at any time by a regular user using the following syntax:

mkrepo -d UPLOS -v UPLOS -s <your UPLOS user name> -p <your UPLOS user name>

For more info on the pkgutils scripts, see the pkgutils package description, 
or run them with the --help option in a console.



%prep
%setup -q
for i in $(find . -type f ); do sed -i 's/pclinuxos/uplos/g' "$i";done
for i in $(find . -type f ); do sed -i 's/pclos/uplos/g' "$i";done
for i in $(find . -type f ); do sed -i 's/PCLinuxOS/UPLOS/g' "$i";done

%build
# Nothing to do

%install
%__rm -rf %buildroot

#/usr/bin
%__mkdir_p %buildroot%_bindir
%__install -p -m755 addpkg rmvpkg gbd gcr mkrepo recompress_to_tarxz compress_to_tarxz_nosvngit spec_buildnlog %buildroot%_bindir

%__mkdir_p %buildroot%_datadir/mimelnk/application
%__install -p -m755 x-remove.desktop %buildroot%_datadir/mimelnk/application
%__install -p -m755 x-spec.desktop %buildroot%_datadir/mimelnk/application
%__install -p -m755 x-src-rpm.desktop %buildroot%_datadir/mimelnk/application
# Mimetype .rpm already exists, so no link is added


# Create pkgutils mimetypes. Types for .remove and .src.rpm
%__mkdir_p %buildroot%_datadir/mime/packages
cat >> %buildroot%_datadir/mime/packages/pkgutils.xml << EOF
<?xml version="1.0"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="text/x-remove">
    <comment>SPEC dependency log for removal</comment>
    <glob pattern="*.remove"/>
    <icon name="text/x-remove:application-x-rpm"/>
  </mime-type>
  <mime-type type="text/x-src-rpm">
    <comment>Source RPM file. Include sources and specification for building</comment>
    <glob pattern="*.src.rpm"/>
    <icon name="text/x-src-rpm:application-x-rpm"/>
  </mime-type>
</mime-info>
EOF

# application-x-rpm


# KDE4
#/usr/share..
%__mkdir_p %buildroot%_datadir/kde4/services/ServiceMenus
cat >> %buildroot%_datadir/kde4/services/ServiceMenus/build-src-recompress.desktop << EOF
[Desktop Entry]
Type=Service
MimeType=application/x-gzip;application/x-tar;application/x-compressed-tar;application/x-bzip-compressed-tar;application/zip;application/x-bzip;application/x-rar;application/x-tarz;application/x-bzip2;application/x-java-archive;application/x-deb;application/x-7z-compressed;application/x-compress;application/x-zip-compressed;application/x-lzma;application/x-xz-compressed-tar;application/x-lzma-compressed-tar;
ServiceTypes=KonqPopupMenu/Plugin
Actions=recompress
X-KDE-Priority=TopLevel
#X-KDE-Submenu=Re-Compress

[Desktop Action recompress]
Name=Re-Compress as tar.xz
Name[da]=Byg xz arkiv fra...
Icon=utilities-file-archiver
Exec=recompress_to_tarxz "%F"
EOF

cat >> %buildroot%_datadir/kde4/services/ServiceMenus/build-mktar.desktop << EOF
[Desktop Entry]
Type=Service
MimeType=all/all;
ServiceTypes=KonqPopupMenu/Plugin
Actions=compressAsTarXZ;compressAsTarXZnoSvnGit
X-KDE-Submenu=Compress
X-KDE-Submenu[ar]=اضغط
X-KDE-Submenu[ast]=Comprimir
X-KDE-Submenu[bg]=Компресиране
X-KDE-Submenu[ca]=Compressió
X-KDE-Submenu[ca@valencia]=Compressió
X-KDE-Submenu[cs]=Zkomprimovat
X-KDE-Submenu[da]=Komprimér
X-KDE-Submenu[de]=Komprimieren
X-KDE-Submenu[el]=Συμπίεση
X-KDE-Submenu[en_GB]=Compress
X-KDE-Submenu[es]=Comprimir
X-KDE-Submenu[et]=Paki
X-KDE-Submenu[eu]=Konprimatu
X-KDE-Submenu[fi]=Tiivistä
X-KDE-Submenu[fr]=Compresser
X-KDE-Submenu[ga]=Comhbhrúigh
X-KDE-Submenu[gl]=Comprimir
X-KDE-Submenu[hne]=संपीडित करव
X-KDE-Submenu[hr]=Zapakiraj
X-KDE-Submenu[hu]=Tömörítés
X-KDE-Submenu[id]=Kompres
X-KDE-Submenu[it]=Comprimi
X-KDE-Submenu[ja]=圧縮
X-KDE-Submenu[kk]=Сығу
X-KDE-Submenu[km]=បង្ហាប់
X-KDE-Submenu[ko]=압축하기
X-KDE-Submenu[lt]=Suspausti
X-KDE-Submenu[lv]=Saspiest
X-KDE-Submenu[nb]=Komprimer
X-KDE-Submenu[nds]=Komprimeren
X-KDE-Submenu[nl]=Comprimeren
X-KDE-Submenu[nn]=Komprimer
X-KDE-Submenu[pa]=ਕੰਪਰੈੱਸ
X-KDE-Submenu[pl]=Kompresuj
X-KDE-Submenu[pt]=Comprimir
X-KDE-Submenu[pt_BR]=Compactar
X-KDE-Submenu[ro]=Comprimă
X-KDE-Submenu[ru]=Упаковать
X-KDE-Submenu[sk]=Komprimovať
X-KDE-Submenu[sl]=Stisni
X-KDE-Submenu[sr]=Компресуј
X-KDE-Submenu[sr@ijekavian]=Компресуј
X-KDE-Submenu[sr@ijekavianlatin]=Kompresuj
X-KDE-Submenu[sr@latin]=Kompresuj
X-KDE-Submenu[sv]=Compress
X-KDE-Submenu[th]=บีบข้อมูล
X-KDE-Submenu[tr]=Sıkıştır
X-KDE-Submenu[uk]=Стиснути
X-KDE-Submenu[wa]=Rastrinde
X-KDE-Submenu[x-test]=xxCompressxx
X-KDE-Submenu[zh_CN]=压缩
X-KDE-Submenu[zh_TW]=壓縮
X-KDE-StartupNotify=false
X-KDE-Priority=TopLevel

[Desktop Action compressAsTarXZ]
Name=As XZ/TAR Archive
Name[ar]=كأرشيف  XZ/TAR
Name[ast]=Como archivu comprimíu XZ/TAR
Name[ca]=Com a arxiu XZ/TAR
Name[ca@valencia]=Com a arxiu XZ/TAR
Name[cs]=Jako archiv XZ/TAR
Name[da]=Som XZ-/TAR-arkiv
Name[de]=Als XZ/TAR-Archiv
Name[el]=Ως αρχειοθήκη XZ/TAR
Name[en_GB]=As XZ/TAR Archive
Name[es]=Como archivo comprimido XZ/TAR
Name[et]=XZ/TAR-arhiivina
Name[eu]=XZ/TAR artxibo gisa
Name[fi]=Zip/Tar-arkistoksi
Name[fr]=En tant qu'archive XZ/TAR
Name[ga]=Mar Chartlann XZ/TAR
Name[gl]=Como arquivo XZ/TAR
Name[hr]=Kao XZ/TAR-arhiva
Name[hu]=XZ/TAR archívumként
Name[id]=Sebagai Arsip XZ/TAR
Name[it]=Come archivio XZ/TAR
Name[ja]=XZ/TAR アーカイブに
Name[kk]=XZ/TAR архиві қылып
Name[km]=ជា​ប័ណ្ណសារ XZ/TAR
Name[ko]=XZ/TAR 파일로
Name[lv]=Kā XZ/TAR arhīvu
Name[nb]=Som XZ/TAR-arkiv
Name[nds]=As Zip/Tar-Archiev
Name[nl]=Als XZ/TAR-archief
Name[nn]=Som XZ/TAR-arkiv
Name[pa]=ਜ਼ਿੱਪ/RAR ਅਕਾਇਵ ਵਾਂਗ
Name[pl]=Jako archiwum XZ/TAR
Name[pt]=Como Pacote XZ/TAR
Name[pt_BR]=Como arquivo XZ/TAR
Name[ro]=Ca arhivă XZ/TAR
Name[ru]=Как архив XZ/TAR
Name[sk]=Do XZ/TAR archívu
Name[sl]=Kot arhiv XZ/TAR
Name[sr]=као ЗИП+тар архиву
Name[sr@ijekavian]=као ЗИП+тар архиву
Name[sr@ijekavianlatin]=kao XZ+tar arhivu
Name[sr@latin]=kao XZ+tar arhivu
Name[sv]=Som XZ/TAR-arkiv
Name[th]=เป็นแฟ้มจัดเก็บบีบอัดแบบ XZ/TAR
Name[tr]=XZ/TAR Arşivi Olarak
Name[uk]=Як архів XZ/TAR
Name[wa]=Come årtchive XZ/TAR
Name[x-test]=xxAs XZ/TAR Archivexx
Name[zh_CN]=为 XZ/TAR 归档
Name[zh_TW]=成 XZ 壓縮檔
Icon=utilities-file-archiver
Exec=ark --changetofirstpath --add --autofilename tar.xz "%f"


[Desktop Action compressAsTarXZnoSvnGit]
Name=As tar.xz archive without git+svn info
Name[da]=Byg tar.xz arkiv uden git+svn information
Icon=utilities-file-archiver
Exec=compress_to_tarxz_nosvngit %F
EOF

cat >> %buildroot%_datadir/kde4/services/ServiceMenus/build-rmv-pkg.desktop << EOF
[Desktop Entry]
Type=Service
MimeType=text/x-remove;
ServiceTypes=KonqPopupMenu/Plugin
Actions=rmvpkg
X-KDE-Priority=TopLevel

[Desktop Action rmvpkg]
Name=Run rmvpkg..
Name[da]=Fjern anvendte afhængigheder
Exec=konsole --noclose -e rmvpkg %f
Icon=application-x-rpm 
EOF

cat >> %buildroot%_datadir/kde4/services/ServiceMenus/build-rpm.desktop << EOF
[Desktop Entry]
Type=Service
MimeType=application/x-rpm;
ServiceTypes=KonqPopupMenu/Plugin
Actions=installrpm
X-KDE-Priority=TopLevel

[Desktop Action installrpm]
Name=Install RPM via apt-get
Name[da]=Installér RPM
Exec=kdesu -c "konsole --noclose -e apt-get install %U"
Icon=application-x-rpm 
EOF

cat >> %buildroot%_datadir/kde4/services/ServiceMenus/build-srpm.desktop << EOF
[Desktop Entry]
Type=Service
MimeType=text/x-src-rpm;
ServiceTypes=KonqPopupMenu/Plugin
Actions=installsrc;rawextractsrpm
X-KDE-Priority=TopLevel

[Desktop Action installsrc]
Name=Install SRPM for Build
Name[da]=Klargør kildeteksten og specfil fra SRPM
Exec=konsole --noclose -e rpm -ivh %U
Icon=application-x-rpm

[Desktop Action rawextractsrpm]
Name=Raw extract of SRPM
Name[da]=Udpak src.rpm uden sti-info
Exec=konsole --noclose -e "rpm2cpio %f | cpio -idmv"
Icon=application-x-rpm
EOF

cat >> %buildroot%_datadir/kde4/services/ServiceMenus/build-spec.desktop << EOF
[Desktop Entry]
Type=Service
ServiceTypes=KonqPopupMenu/Plugin
MimeType=text/x-rpm-spec;
Actions=addpkg;buildall;buildallnlog;buildsrpm;buildbin;prp;prpcmp;cmponly;prpcmpins;insonly;listchk
X-KDE-Priority=TopLevel

[Desktop Action addpkg]
Name=Install Dependencies
Name[da]=Installér afhængigheder
Exec=konsole --noclose -e addpkg %f
Icon=application-x-rpm

[Desktop Action listchk]
Name=List Check
Name[da]=Gennemgå install sektion
Exec=konsole --noclose -e rpmbuild -bl %f
Icon=application-x-rpm

[Desktop Action insonly]
Name=Install Only
Name[da]=Kun installering
Exec=konsole --noclose -e rpmbuild -bi --short-circuit %f
Icon=application-x-rpm

[Desktop Action prpcmpins]
Name=Prepare, Compile and Install
Name[da]=Klargør kildeteksten, kompilér og installér
Exec=konsole --noclose -e rpmbuild -bi %f
Icon=application-x-rpm

[Desktop Action cmponly]
Name=Compile Only
Name[da]=Kun kompilering
Exec=konsole --noclose -e rpmbuild -bc --short-circuit %f
Icon=application-x-rpm

[Desktop Action prpcmp]
Name=Prepare and Compile
Name[da]=Klargør kildeteksten, kompilér
Exec=konsole --noclose -e rpmbuild -bc %f
Icon=application-x-rpm

[Desktop Action prp]
Name=Prepare Only
Name[da]=Klargør kildeteksten
Exec=konsole --noclose -e rpmbuild -bp %f
Icon=application-x-rpm

[Desktop Action buildbin]
Name=Build Binary
Name[da]=Byg RPM pakke
Exec=konsole --noclose -e rpmbuild -bb %f
Icon=application-x-rpm

[Desktop Action buildsrpm]
Name=Build SRPM Only
Name[da]=Byg SRPM pakke
Exec=konsole --noclose -e rpmbuild -bs %f
Icon=application-x-rpm

[Desktop Action buildall]
Name=Build All
Name[da]=Byg alt
Exec=konsole --noclose -e rpmbuild -ba %f
Icon=application-x-rpm

[Desktop Action buildallnlog]
Name=Build all, Create logfile
Name[da]=Byg alt, med logfil
Exec=spec_buildnlog %F
#Exec=xterm %{xtermopt} -e "rpmbuild -ba %F 2>&1 | tee %F.log"
Icon=application-x-rpm
EOF


#Thunar section
%__mkdir_p %buildroot%{_sysconfdir}/X11/xdg/Thunar
cat >> %buildroot%{_sysconfdir}/X11/xdg/Thunar/inst-servicemenu.sh << EOF
#!/bin/bash
cp %{_sysconfdir}/X11/xdg/Thunar/uca.xml %{_sysconfdir}/X11/xdg/Thunar/uca.xml.urpm
#Make alterations to the currently installed service menu file uca.xml using xmlstarlet
%{_bindir}/xml ed -s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.remove" \
	-s "/actions/action[last()]" -t elem -n name -v "SPEC dependency log for removal" \
	-s "/actions/action[last()]" -t elem -n name -v "Fjern anvendte afhængigheder" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rmvpkg %f" \
	-s "/actions/action[last()]" -t elem -n description -v "SPEC dependency log for removal" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*" \
	-s "/actions/action[last()]" -t elem -n name -v "Create tar.xz archive without git+svn info" \
	-s "/actions/action[last()]" -t elem -n name -v "Byg tar.xz arkiv uden git+svn information" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} +hold -e tar Jcf %n.tar.xz --exclude .svn  --exclude .git %n" \
	-s "/actions/action[last()]" -t elem -n description -v "Create tar.xz archive without git+svn info" \
	-s "/actions/action[last()]" -t elem -n directories -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.bz2" \
	-s "/actions/action[last()]" -t elem -n name -v "Create xz archive from bz2" \
	-s "/actions/action[last()]" -t elem -n name -v "Byg xz arkiv fra bz2" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} +hold -e bunzip2 '%f' &amp;&amp; xz -9 %d/\\\`basename '%f' .bz2\\\`" \
	-s "/actions/action[last()]" -t elem -n description -v "Create xz archive from bz2" \
	-s "/actions/action[last()]" -t elem -n other-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.gz" \
	-s "/actions/action[last()]" -t elem -n name -v "Create xz archive from gz" \
	-s "/actions/action[last()]" -t elem -n name -v "Byg xz arkiv fra gz" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} +hold -e gunzip '%f' &amp;&amp; xz -9 %d/\\\`basename '%f' .gz\\\`" \
	-s "/actions/action[last()]" -t elem -n description -v "Create xz archive from gz" \
	-s "/actions/action[last()]" -t elem -n other-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.zip" \
	-s "/actions/action[last()]" -t elem -n name -v "Create xz archive from zip" \
	-s "/actions/action[last()]" -t elem -n name -v "Byg xz arkiv fra zip" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "tmpunz=\\\`mktemp -dq\\\` &amp;&amp; unzip '%f' -d \\\$tmpunz &amp;&amp; pushd \\\$tmpunz &amp;&amp; tar Jcf %d/\\\`basename '%f' .zip\\\`.tar.xz * &amp;&amp; popd &amp;&amp; rm -rf \\\$tmpunz" \
	-s "/actions/action[last()]" -t elem -n description -v "Create xz archive from zip" \
	-s "/actions/action[last()]" -t elem -n other-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.tgz" \
	-s "/actions/action[last()]" -t elem -n name -v "Create xz archive from tgz" \
	-s "/actions/action[last()]" -t elem -n name -v "Byg xz arkiv fra tgz" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} +hold -e gunzip '%f' &amp;&amp; xz -9 %d/\\\`basename '%f' .tgz\\\`.tar" \
	-s "/actions/action[last()]" -t elem -n description -v "Create xz archive from tgz" \
	-s "/actions/action[last()]" -t elem -n other-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.src.rpm" \
	-s "/actions/action[last()]" -t elem -n name -v "Raw extract of src.rpm" \
	-s "/actions/action[last()]" -t elem -n name -v "Udpak src.rpm uden sti-info" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "rpm2cpio %f | cpio -idmv" \
	-s "/actions/action[last()]" -t elem -n description -v "Raw extract of src.rpm" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.rpm" \
	-s "/actions/action[last()]" -t elem -n name -v "RPM install" \
	-s "/actions/action[last()]" -t elem -n name -v "Installér RPM" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm  %{xtermopt} -T \"Provide root password to install RPM\" -e su -c \"xterm %{xtermopt} -e apt-get install %%F\"" \
	-s "/actions/action[last()]" -t elem -n description -v "RPM install" \
	-s "/actions/action[last()]" -t elem -n other-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.src.rpm" \
	-s "/actions/action[last()]" -t elem -n name -v "SRPM install for build" \
	-s "/actions/action[last()]" -t elem -n name -v "Klargør kildeteksten og specfil fra SRPM" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rpm -ivh %f" \
	-s "/actions/action[last()]" -t elem -n description -v "SRPM install for build" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "Install dependencies" \
	-s "/actions/action[last()]" -t elem -n name -v "Installér afhængigheder" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e addpkg %f" \
	-s "/actions/action[last()]" -t elem -n description -v "Install dependencies" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "Prepare only" \
	-s "/actions/action[last()]" -t elem -n name -v "Klargør kildeteksten" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rpmbuild -bp %f" \
	-s "/actions/action[last()]" -t elem -n description -v "Prepare only" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "Compile only" \
	-s "/actions/action[last()]" -t elem -n name -v "Kun kompilering" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rpmbuild -bc --short-circuit %f" \
	-s "/actions/action[last()]" -t elem -n description -v "Compile only" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "Prepare and Compile" \
	-s "/actions/action[last()]" -t elem -n name -v "Klargør kildeteksten, kompilér" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rpmbuild -bc %f" \
	-s "/actions/action[last()]" -t elem -n description -v "Prepare and Compile" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "Prepare, Compile and Install" \
	-s "/actions/action[last()]" -t elem -n name -v "Klargør kildeteksten, kompilér og installér" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rpmbuild -bi %f" \
	-s "/actions/action[last()]" -t elem -n description -v "Prepare, Compile and Install" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "Install only" \
	-s "/actions/action[last()]" -t elem -n name -v "Kun installering" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rpmbuild -bi --short-circuit %f" \
	-s "/actions/action[last()]" -t elem -n description -v "Install only" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "List check" \
	-s "/actions/action[last()]" -t elem -n name -v "Gennemgå install sektion" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rpmbuild -bl %f" \
	-s "/actions/action[last()]" -t elem -n description -v "List check" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "Build binary" \
	-s "/actions/action[last()]" -t elem -n name -v "Byg RPM pakke" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rpmbuild -bb %f" \
	-s "/actions/action[last()]" -t elem -n description -v "Build binary" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "Build SRPM" \
	-s "/actions/action[last()]" -t elem -n name -v "Byg SRPM pakke" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rpmbuild -bs %f" \
	-s "/actions/action[last()]" -t elem -n description -v "Build SRPM" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "Build all, create build logfile" \
	-s "/actions/action[last()]" -t elem -n name -v "Byg alt, med logfil" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v 'xterm %{xtermopt} -e "rpmbuild -ba %f 2>&amp;1 | tee %f.log"' \
	-s "/actions/action[last()]" -t elem -n description -v "Build all, create build logfile" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" \
	-s "/actions[last()]" -t elem -n action -v "" \
	-s "/actions/action[last()]" -t elem -n icon -v "rpm" \
	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" \
	-s "/actions/action[last()]" -t elem -n name -v "Build All" \
	-s "/actions/action[last()]" -t elem -n name -v "Byg alt" \
	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" \
	-s "/actions/action[last()]" -t elem -n command -v "xterm %{xtermopt} -e rpmbuild -ba %f" \
	-s "/actions/action[last()]" -t elem -n description -v "Build All" \
	-s "/actions/action[last()]" -t elem -n text-files -v "" %{_sysconfdir}/X11/xdg/Thunar/uca.xml > %{_sysconfdir}/X11/xdg/Thunar/uca.xml.tmp
xml fo %{_sysconfdir}/X11/xdg/Thunar/uca.xml.tmp > %{_sysconfdir}/X11/xdg/Thunar/uca.xml
rm -rf %{_sysconfdir}/X11/xdg/Thunar/uca.xml.tmp
EOF

chmod +x %buildroot%{_sysconfdir}/X11/xdg/Thunar/inst-servicemenu.sh

%clean
%__rm -rf %buildroot

%post
%update_mime_database &> /dev/null ||:

%post -n %{name}-kde4
%update_menus
%update_desktop_database &> /dev/null ||:


%posttrans
mkrepo 
#> /dev/null 2>&1


%posttrans -n %{name}-thunar
%{_sysconfdir}/X11/xdg/Thunar/inst-servicemenu.sh


%postun 
%clean_mime_database &> /dev/null ||:

%postun -n %{name}-kde4
%clean_menus
%clean_desktop_database &> /dev/null ||:

%post -n %{name}-thunar
cat << EOF
Important! If updating %{name}-thunar you will need to update/remove your home folder version of uca.xml 
file in order to force Thunar to use/copy the new/updated features in the
system uca.xml.

The home folder uca.xml can be removed with:
rm ~/.config/Thunar/uca.xml
EOF

%postun  -n %{name}-thunar
%{_bindir}/xml ed -d "/actions/action[name='SPEC dependency log for removal']" \
	-d "/actions/action[name='SRPM install for build']" \
	-d "/actions/action[name='Install dependencies']" \
	-d "/actions/action[name='List check']" \
	-d "/actions/action[name='Create xz archive from bz2']" \
	-d "/actions/action[name='Raw extract of src.rpm']" \
	-d "/actions/action[name='Create xz archive from tgz']" \
	-d "/actions/action[name='Create xz archive from gz']" \
	-d "/actions/action[name='Create xz archive from zip']" \
	-d "/actions/action[name='Install only']" \
	-d "/actions/action[name='Create tar.xz archive without git+svn info']" \
	-d "/actions/action[name='Compile only']" \
	-d "/actions/action[name='Prepare only']" \
	-d "/actions/action[name='Prepare and Compile']" \
	-d "/actions/action[name='Prepare, Compile and Install']" \
	-d "/actions/action[name='Build binary']" \
	-d "/actions/action[name='Build SRPM']" \
	-d "/actions/action[name='Build all, create build logfile']" \
	-d "/actions/action[name='Build All']" \
	-d "/actions/action[name='RPM install']" %{_sysconfdir}/X11/xdg/Thunar/uca.xml > %{_sysconfdir}/X11/xdg/Thunar/uca.xml.tmp 
xml fo %{_sysconfdir}/X11/xdg/Thunar/uca.xml.tmp > %{_sysconfdir}/X11/xdg/Thunar/uca.xml
rm -rf %{_sysconfdir}/X11/xdg/Thunar/uca.xml.tmp

%files
%defattr(-,root,root)
%_bindir/addpkg
%_bindir/rmvpkg
%_bindir/gbd
%_bindir/gcr
%_bindir/mkrepo
%_datadir/mimelnk/application/x-remove.desktop
%_datadir/mimelnk/application/x-spec.desktop
%_datadir/mimelnk/application/x-src-rpm.desktop
%attr(644,-,-) %_datadir/mime/packages/pkgutils.xml


%files -n pkgutils-kde4
%defattr(-,root,root)
%_bindir/compress_to_tarxz_nosvngit
%_bindir/recompress_to_tarxz
%_bindir/spec_buildnlog
%attr(644,-,-) %_datadir/kde4/services/ServiceMenus/*.desktop

%files -n %{name}-thunar
%{_sysconfdir}/X11/xdg/Thunar/inst-servicemenu.sh


%changelog
* Sat Jan 21 2017 adrianomorselli <adrianomorselli> 0.1.6-12uplos2017
- fixed apt-get dependencies

* Thu Jan 19 2017 adrianomorselli <adrianomorselli> 0.1.6-11uplos2017
- rebuild removed pclos reference

* Sun Jan 01 2017 adrianomorselli <adrianomorselli> 0.1.6-10uplos2017
- rebuild and switch to uplos

